Bug Hunting Session
Bug 126241 - Trying to switching to edit mode with a document in use isn't informative
Summary: Trying to switching to edit mode with a document in use isn't informative
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: medium normal
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.4.0
Keywords:
Depends on:
Blocks: Network
  Show dependency treegraph
 
Reported: 2019-07-05 11:04 UTC by Aron Budea
Modified: 2019-07-31 02:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2019-07-05 11:04:50 UTC
The following steps require a Windows share (two separate local installs should behave closely similarly, but perhaps not identically).

- open a document that is on the share from one computer (eg. the same one),
- try to open the same file via the share from another computer, then choose to open the file in read-only mode,
- click Edit Document in the infobar.

=> You get the following, rather uninformative dialog:
"This document cannot be edited, possibly due to missing access rights. Do you want to edit a copy of the document?

Open Copy / Cancel"

Since the situation is same as before, a dialog with the same or close to same information should pop up (though perhaps the choices are different, since the file is already open).

Observed using LO 6.4.0.0.alpha0+ (c2cb467a1e5194c56bb65706b7965fb2c9241b8f), 4.4.0.3 / Windows 7.
Comment 1 Commit Notification 2019-07-12 11:39:33 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/60dffd80468e5ca4471bc67d02c58c8c784a86f1%5E%21

tdf#126241: make sure to fill input stream before LockOrigFileOnDemand

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Aron Budea 2019-07-31 02:23:03 UTC
This can be closed as fixed I think, thanks Mike!